org.apache.jmeter.report.processor

## Interface AggregatorFactory

- All Known Implementing Classes:
    AbstractAggregatorFactory, MaxAggregatorFactory, MeanAggregatorFactory, MedianAggregatorFactory, MinAggregatorFactory, PercentileAggregatorFactory, SumAggregatorFactory, TimeRateAggregatorFactory

      public interface AggregatorFactory

  A factory for creating Aggregator objects.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Aggregator` | `createAggregatedKeyValueAggregator()` Creates a new Aggregator object to calculate an aggregated value of an aggregated key series.
    `Aggregator` | `createKeyAggregator()` Creates a new Aggregator object to calculate an aggregated key.
    `Aggregator` | `createValueAggregator()` Creates a new Aggregator object to calculate an aggregated value in a graph.

- - ### Method Detail

    - #### createValueAggregator

          Aggregator createValueAggregator()

      Creates a new Aggregator object to calculate an aggregated value in a graph.
      Returns:
        the graph data aggregator

    - #### createKeyAggregator

          Aggregator createKeyAggregator()

      Creates a new Aggregator object to calculate an aggregated key.
      Returns:
        the graph data aggregator

    - #### createAggregatedKeyValueAggregator

          Aggregator createAggregatedKeyValueAggregator()

      Creates a new Aggregator object to calculate an aggregated value of an aggregated key series.
      Returns:
        the graph data aggregator

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.